﻿@model Tuple<ARGNSPDCView, PDCSAPCombo>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}


<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>



@Styles.Render("~/Content/DataPicker")

<!--CONTENIDOS-->
<div class="row">
    <!--col derecha-->
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">Logo</h3>
            </div>

            <div class="panel-body">
                <!--col1-->
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDM.Code</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.Code, new { @Id = "Code", @Name = "Code", @placeholder = @PDC.Code, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDC.PD</label>
                        <div class="col-md-8">
                            <div class="input-group date">
                                @Html.TextBoxFor(c => c.Item1.U_Date, new { @Id = "U_Date", @Name = "U_Date", @placeholder = @PDC.PD, @class = "form-control", @Value = (Model.Item1.U_Date != null && Model.Item1.U_Date != DateTime.MinValue) ? Model.Item1.U_Date.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDC.Employee</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_empID, new SelectList(
                                    Model.Item2.ListEmployee,
                                    "empID",
                                    "getName", Model.Item1.U_empID), new { @Id = "U_empID", @Name = "U_empID", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDC.Shift</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_ShiftCode, new SelectList(
                                    Model.Item2.ListShifts,
                                    "U_ShiftCode",
                                    "U_Desc", Model.Item1.U_ShiftCode), new { @Id = "U_ShiftCode", @Name = "U_ShiftCode", @class = "form-control" })
                        </div>
                    </div>
                </div>

                <!--col2-->
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDC.Vendor</label>
                        <div class="col-md-8">
                            @Html.DropDownListFor(model => model.Item1.U_Vendor, new SelectList(
                                    Model.Item2.ListBusinessPartner.Where(c => c.CardType == "S").ToList(),
                                    "CardCode",
                                    "CardName", Model.Item1.U_Vendor), new { @Id = "U_Vendor", @Name = "U_Vendor", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDC.MP</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_MinPres, new { @Id = "U_MinPres", @Name = "U_MinPres", @placeholder = @PDC.MP, @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-4 control-label">@PDC.UM</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.U_UnprodMins, new { @Id = "U_UnprodMins", @Name = "U_UnprodMins", @placeholder = @PDC.UM, @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="col-md-12">

        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@PurchaseOrders.Information</h3>
            </div>
            <!--bloke search-->
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-3 col-xs-12">
                        <input type="radio" name="inputMethod" value="CB" checked>CodeBar
                        <input type="radio" name="inputMethod" value="CT">CutTick
                    </div>
                    <div class="col-md-3 col-xs-12">
                        @Html.TextBox("EnterCode", "", new { @placeholder = @PDC.EnterCode, @class = "form-control" })
                    </div>
                </div>
                </div>
            <div class="divider"> </div>
            <div class="panel-body">
                <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                    @Html.Partial("_PDCLines", Tuple.Create(Model.Item1.Lines, Model.Item2))
                </div>
            </div>
        </div>
    </div>

</div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            @if (ViewBag.FormMode == "Add")
            {
                <a id="btnOk" class="btn btn-lg btn-success margin-left pull-right">Ok</a>
            }
            @Html.ActionLink(@Shared.Back.ToString(), "Index", "PDC", null, new { @class = "btn btn-lg btn-default pull-right" })
        </div>
    </div>

    @Html.Partial("_Error")
    @Scripts.Render("~/bundles/PDC")

